Firebase 命令行工具

Firebase 是 Google 提供的一个工具。

你可以将你的 Angular 项目部署上去。

要使用 Firebase,首先需要安装 Firebase CLI。

下载的地址为:Firebase CLI reference

下载成功后,双击运行。

在很多时候,可能会 Windows 有提示权限不够,或者你程序有风险,这些你都需要接受风险才能进行下一步。

因为可能需要下载安装 visual studio,所以上面的过程会比较长。

如果没提示退出,请耐心等待。

npm 安装

当然,你也可以使用 npm 直接进行安装。

安装的命令为: npm install -g firebase-tools

如果你得到了提示为

gyp ERR! find VS You need to install the latest version of Visual Studio gyp ERR! find VS including the "Desktop development with C++" workload. gyp ERR! find VS For more information consult the documentation at: gyp ERR! find VS https://github.com/nodejs/node-gyp#on-windows

这是因为在 Firebase 安装的时候需要使用 visual studio 的 C++ 编译器来进行编译。

你可以选择下载 Windows 的 visual studio C++ 编译器。

目前,你可以下载最新的 2019 年构建版本,下载地址为: Download Visual Studio 2019 for Windows & Mac

在下载完成后,选择运行这个构建版本。

然后可以选择桌面开发工具同时包含有 C++

然后等待安装的完成。

如果安装还不成功的话,可以设置 npm config set msvs_version 2019 这个命令的意思是让 npm 使用 2019 年的版本进行编译。

如果你安装的是 2017 或者 2015 你也可以在命令行的后面设置不同的版本。

然后再次运行:npm install -g firebase-tools 来进行安装。

如果一切顺利,你将可能会看到输出如下图所示。

上面的输出表示的是 firebase 已经安装成功了。

检查版本

可以通过运行下面的命令:firebase -V 来检查安装的版本。

如果一切顺利,你将会看到已经安装成功的版本。

至此,说明你的 Firebase 已经配置成功,并且可以使用了。